## bti 007

=== Makefile ===
#
# Copyright (C) 2006 Greg Kroah-Hartman <greg@kroah.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 of the License.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
#

VERSION = 007

PROGRAM = bti

CORE_OBJS = \
	bti.o

GEN_HEADERS = \
	bti_version.h

MAN_PAGES = \
	bti.1

CROSS_COMPILE ?=
CC = $(CROSS_COMPILE)gcc
LD = $(CROSS_COMPILE)gcc
AR = $(CROSS_COMPILE)ar

override CFLAGS	+= -g -Wall -pipe -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -O2

WARNINGS	= -Wstrict-prototypes -Wsign-compare -Wshadow \
		  -Wchar-subscripts -Wmissing-declarations -Wnested-externs \
		  -Wpointer-arith -Wcast-align -Wsign-compare -Wmissing-prototypes
CFLAGS		+= $(WARNINGS)
LDFLAGS		+= -Wl,-warn-common,--as-needed


ifeq ($(strip $(V)),)
	E = @echo
	Q = @
else
	E = @\#
	Q =
endif
export E Q


# We need -lcurl for the curl stuff
# We need -lsocket and -lnsl when on Solaris
# We need -lssl and -lcrypto when using libcurl with SSL support
# We need -lpthread for the pthread example
#LIB_OBJS = -lcurl -lnsl -lssl -lcrypto
LIB_OBJS = -lcurl -lnsl

all:	$(PROGRAM) $(MAN_PAGES)

# "Static Pattern Rule" to build all programs
bti: %: $(HEADERS) $(GEN_HEADERS) $(CORE_OBJS)
	$(E) "  LD      " $@
	$(Q) $(LD) $(LDFLAGS) $(CORE_OBJS) -o $@ $(LIB_OBJS)


# build the objects
%.o: %.c $(HEADERS) $(GEN_HEADERS)
	$(E) "  CC      " $@
	$(Q) $(CC) -c $(CFLAGS) $< -o $@


bti_version.h:
	$(E) "  GENHDR  " $@
	$(Q) echo "/* Generated by make. */" > $@
	$(Q) echo \#define BTI_VERSION	\"$(VERSION)\" >> $@


# man pages
%.1: %.xml
	$(E) "  XMLTO   " $@
	$(Q) xmlto man $?
.PRECIOUS: %.3

clean:
	$(E) "  CLEAN   "
	$(Q) - find . -type f -name '*.orig' -print0 | xargs -0r rm -f
	$(Q) - find . -type f -name '*.rej' -print0 | xargs -0r rm -f
	$(Q) - find . -type f -name '*~' -print0 | xargs -0r rm -f
	$(Q) - find . -type f -name '*.[oas]' -print0 | xargs -0r rm -f
	$(Q) - find . -type f -name "*.gcno" -print0 | xargs -0r rm -f
	$(Q) - find . -type f -name "*.gcda" -print0 | xargs -0r rm -f
	$(Q) - find . -type f -name "*.gcov" -print0 | xargs -0r rm -f
	$(Q) - rm -f core $(PROGRAM) $(GEN_HEADERS)
.PHONY: clean

release:
	$(Q) - rm -f bti-$(VERSION).tar.gz
	head -1 ChangeLog | grep -q "to v$(VERSION)"
	head -1 RELEASE-NOTES | grep -q "bti $(VERSION)"
	git commit -a -m "release $(VERSION)"
	cat .git/refs/heads/master > .git/refs/tags/$(VERSION)
	@ echo
	git archive --format=tar --prefix=bti-$(VERSION)/ HEAD | gzip -9v > bti-$(VERSION).tar.gz
.PHONY: release

## bti 026

=== debian/changelog ===
bti (026-1) unstable; urgency=low

  * Bump build dependency on bash-completion (needed for --with
    bash-completion in debian/rules).

  * New upstream release.
  * Refresh patch manpage-debian.patch and DEP3 patch headers.
  * debian/copyright: refresh DEP5 header, update years of packaging
    copyright.
  * Set Standards-Version to 3.8.4 (no changes).
  * Convert to source format 3.0 (quilt). Remove quilt framework.
    Lower debhelper dependency.

 -- gregor herrmann <gregoa@debian.org>  Wed, 19 May 2010 21:41:04 +0200

bti (025-1) unstable; urgency=low

  * New upstream release: 
    - set default host to twitter (closes: #563098)
    - mention correct host in prompts (closes: #563099)

 -- gregor herrmann <gregoa@debian.org>  Sun, 10 Jan 2010 01:29:11 +0100

bti (024-1) unstable; urgency=low

  * New upstream release:
    - do not display password while user types it (LP: #386525)
    - disable echo when reading the password
    - add laconica group support
  * debian/control: add Homepage field and adjust long description.
  * Use "--with bash-completion" in debian/rules to install bash-completion
    snippet; bump build dependencies on debhelper and bash-completion in
    debian/control.

 -- gregor herrmann <gregoa@debian.org>  Wed, 02 Dec 2009 17:09:28 +0100

bti (023-2) unstable; urgency=low

  * Build depend on libreadline-dev instead of libreadline5-dev, thanks to
    Matthias Klose for the pointer.
  * Set Standards-Version to 3.8.3 (no changes).
  * Add debian/README.source to document quilt usage.
  * Simplify debian/rules, adjust versioned build dependencies on debhelper
    and quilt in debian/control.
  * Use dh_bash-completion for installing the completion snippet; adjust
    debian/rules, add a versioned build dependency on bash-completion.

 -- gregor herrmann <gregoa@debian.org>  Sun, 13 Sep 2009 16:14:08 +0200

bti (023-1) unstable; urgency=low

  * New upstream release, main changes:
    - new 'verbose' mode
    - SSL also for twitter
  * debian/copyright: add new additional copyright holder.
  * Refresh patch manpage-debian.patch.
  * debian/control: mention additional actions in long description.

 -- gregor herrmann <gregoa@debian.org>  Thu, 28 May 2009 17:37:08 +0200

bti (022-1) unstable; urgency=low

  * New upstream release, main changes:
    - support for custim laconi.ca instances
    - use SSL for identi.ca
  * debian/copyright: add additional copyright holder.

 -- gregor herrmann <gregoa@debian.org>  Wed, 06 May 2009 23:05:42 +0200

bti (021-1) unstable; urgency=low

  * New upstream release, contains changes in autoconf tools:
    - simplify debian/rules and debian/install
    - replace xmtlo with xsltproc, docbook-xsl, docbook-xml in debian/control

 -- gregor herrmann <gregoa@debian.org>  Wed, 15 Apr 2009 17:12:53 +0200

bti (020-1) unstable; urgency=low

  * New upstream release:
    - remove patch getopt.patch, included upstream
    - remove manpage for bti-shrink-urls from debian/, included upstream
    - upstream uses autoconf, adjust debian/rules and debian/install, remove
      debian/manpages

 -- gregor herrmann <gregoa@debian.org>  Tue, 14 Apr 2009 20:40:24 +0200

bti (017-1) unstable; urgency=low

  * New upstream release.
  * Add build-dependency on libpcre3-dev.
  * Refresh patch manpage-debian.patch.
  * debian/install: add new bti-shrink-urls.
  * debian/copyright: add information about bti-shrink-urls.
  * Create a manpage for bti-shrink-urls.
  * debian/rules: skip dh_auto_install (upstream Makefile now has an install
    target which is not easier to use than the manual installation we've been
    using).
  * Add a new patch getopt.patch to make the new commandline options available
    in bti.c.

 -- gregor herrmann <gregoa@debian.org>  Tue, 24 Mar 2009 20:47:41 +0100

bti (015-1) unstable; urgency=low

  * New upstream release; from the RELEASE-NOTES:
    "--action support, bti now can output data from the twitter
    and identica servers".
  * Add build dependency on libxml2-dev.
  * Refresh patch manpage-debian.patch.
  * Set Standards-Version to 3.8.1 (no changes).

 -- gregor herrmann <gregoa@debian.org>  Thu, 12 Mar 2009 17:17:11 +0100

bti (014-1) unstable; urgency=low

  * New upstream release.

 -- gregor herrmann <gregoa@debian.org>  Sat, 14 Feb 2009 18:36:36 +0100

bti (013-1) unstable; urgency=low

  * New upstream release.
  * Use dh_install instead of dh_bash-completion to install the bash
    completion snippet in order to work around a problem on the amd64 buildd
    (closes: #513115). Drop build dependency on bash-completion.

 -- gregor herrmann <gregoa@debian.org>  Thu, 05 Feb 2009 20:54:54 +0100

bti (012-1) unstable; urgency=low

  * New upstream release.
  * Install the new bash completion script; add bash-completion to
    Build-Depends and Suggests.
  * Refresh patch manpage-debian.patch.

 -- gregor herrmann <gregoa@debian.org>  Sun, 25 Jan 2009 00:52:13 +0100

bti (011-1) unstable; urgency=low

  * New upstream release.
  * Add build dependency on libreadline5-dev.

 -- gregor herrmann <gregoa@debian.org>  Tue, 20 Jan 2009 17:05:57 +0100

bti (010-1) unstable; urgency=low

  * New upstream release, includes a new --proxy option and honours the
    http_proxy environment variable (closes: #511087).
  * Refresh patch manpage-debian.patch.

 -- gregor herrmann <gregoa@debian.org>  Mon, 12 Jan 2009 22:46:19 +0100

bti (008-1) unstable; urgency=low

  * New upstream release (due to december twitter server change).
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Sat, 10 Jan 2009 06:01:45 +0100

bti (007-1) unstable; urgency=low

  * New upstream release.

 -- gregor herrmann <gregoa@debian.org>  Sun, 26 Oct 2008 23:36:48 +0100

bti (006-1) unstable; urgency=low

  * Initial release (Closes: #503241)

 -- gregor herrmann <gregoa@debian.org>  Fri, 24 Oct 2008 20:53:07 +0200

=== debian/control ===
Source: bti
Section: net
Priority: extra
Maintainer: gregor herrmann <gregoa@debian.org>
Uploaders: tony mancill <tmancill@debian.org>
Build-Depends: debhelper (>= 7.0.8), bash-completion (>= 1:1.1-3),
 libcurl4-gnutls-dev, libreadline-dev, libxml2-dev, libpcre3-dev,
 xsltproc, docbook-xsl, docbook-xml
Standards-Version: 3.8.4
Vcs-Svn: http://svn.toastfreeware.priv.at/debian/bti/trunk/
Vcs-Browser: http://svn.toastfreeware.priv.at/wsvn/ToastfreewareDebian/bti/trunk/
Homepage: http://gregkh.github.com/bti/

Package: bti
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: bash-completion
Description: command line micro-blogging tool
 bti sends a tweet message to twitter.com, identi.ca, or any other laconi.ca
 instance.
 .
 bti provides an easy way to send tweet messages directly from the command line
 or a script. It reads the message on standard input and uses the account
 and password settings either from the command line options or from a config
 file to deliver the message.
 .
 Besides sending messages bti also allows to see one's friends', a group's or
 a specific user's timeline, the public timeline, and replies to messages.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --with bash-completion $@

## bti 028

=== debian/changelog ===
bti (028-2) unstable; urgency=low

  * Add patch 0001-Fixing-Identi.ca-s-OAuth-request_token-URI.patch by Amir
    Mohammad Saied which adds the oauth_callback parameter to the identi.ca
    request_token URI in order to make OAuth work with identi.ca
    (closes: #602507).
  * Minor fixes in README.Debian.

 -- gregor herrmann <gregoa@debian.org>  Wed, 24 Nov 2010 18:03:23 +0100

bti (028-1) unstable; urgency=low

  * New upstream release:
    - support for replying to notices
    - adds OAuth support for both twitter and identi.ca (closes: #588235)
    - split --background from --bash, and make the latter imply the former
  * Refresh manpage-debian.patch.
  * Set Standards-Version to 3.9.1 (no changes).
  * Add build dependency on liboauth-dev.
  * debian/rules: switch order of dh arguments (preparation for dh8).
  * debian/copyright: update years of upstream copyright.
  * Add README.Debian about OAuth usage.

 -- gregor herrmann <gregoa@debian.org>  Wed, 03 Nov 2010 23:00:59 +0100

=== debian/watch ===
version=3
http://www.kernel.org/pub/linux/kernel/people/gregkh/bti/bti-(.+).tar.gz

## bti 031

=== debian/changelog ===
bti (031-2) unstable; urgency=low

  * New patch debian/patches/identi.ca-oauth.patch: change identica_* OAuth
    URI's to point to https instead of http (closes: #602507).
  * Set Standards-Version to 3.9.2 (no changes).
  * Improve long description.

 -- gregor herrmann <gregoa@debian.org>  Tue, 25 Oct 2011 20:35:48 +0200

bti (031-1) unstable; urgency=low

  * New upstream release:
    - addresses "bti doesn't warn if the password is incorrect": check server
      replies in non-background mode, only in non-OAuth mode
      (partly solves #602502)

 -- gregor herrmann <gregoa@debian.org>  Tue, 22 Mar 2011 17:18:10 +0100

bti (030-1) unstable; urgency=low

  * New upstream release.
  * Switch to debhelper 8.

 -- gregor herrmann <gregoa@debian.org>  Fri, 18 Mar 2011 12:32:44 +0100

bti (029-2) unstable; urgency=low

  * Upload to unstable.

 -- gregor herrmann <gregoa@debian.org>  Mon, 07 Feb 2011 18:32:28 +0100

bti (029-1) experimental; urgency=low

  * New upstream release: includes fixes for
    + "the --dry-run option has no effect (tweets get posted anyway)
       with OAuth" (closes: #608608)
    + "--replyto doesn't work with OAuth" (closes: #608112)
  * laconi.ca was renamed to StatusNet (in August 2009); adjust package
    description and add a patch to change the name in the manpage and the
    example config; thanks to Julien Valroff for the bug report
    (closes: #605407).
  * Drop patch 0001-Fixing-Identi.ca-s-OAuth-request_token-URI.patch, applied
    upstream.
  * Refresh remaining patches.
  * debian/copyright: update years of upstream and packaging copyright; update
    formatting.
  * Don't install README anymore.
  * Upload to experimental because of the freeze.

 -- gregor herrmann <gregoa@debian.org>  Fri, 14 Jan 2011 02:43:10 +0100

=== debian/control ===
Source: bti
Section: net
Priority: extra
Maintainer: gregor herrmann <gregoa@debian.org>
Uploaders: tony mancill <tmancill@debian.org>
Build-Depends: debhelper (>= 8), bash-completion (>= 1:1.1-3),
 libcurl4-gnutls-dev, libreadline-dev, libxml2-dev, libpcre3-dev,
 liboauth-dev, xsltproc, docbook-xsl, docbook-xml
Standards-Version: 3.9.2
Vcs-Svn: http://svn.toastfreeware.priv.at/debian/bti/trunk/
Vcs-Browser: http://svn.toastfreeware.priv.at/wsvn/ToastfreewareDebian/bti/trunk/
Homepage: http://gregkh.github.com/bti/

Package: bti
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: bash-completion
Description: command line micro-blogging tool
 bti sends a tweet message to twitter.com, identi.ca, or any other StatusNet
 instance.
 .
 bti provides an easy way to send tweet messages directly from the command line
 or a script. It reads the message on standard input and uses the account
 and password settings either from the command line options or from a config
 file to deliver the message.
 .
 Besides sending messages bti also allows one to see one's friends', a group's
 or a specific user's timeline, the public timeline, and replies to messages.

## bti 032

=== debian/changelog ===
bti (032-1) unstable; urgency=low

  * New upstream release
  * debian/watch: use github redirector, there are no released tarballs at the
    moment.
  * The tarball from github doesn't ship a configure script; use
    dh-autoreconf.
  * Refresh patch manpage-debian.patch (offset), drop remaining patches (all
    included upstream).

 -- gregor herrmann <gregoa@debian.org>  Sat, 03 Dec 2011 01:25:55 +0100

bti (031-4) unstable; urgency=low

  * Build-depend on libcurl4-nss-dev instead of libcurl4-gnutls-dev; they
    conflict with each other, and liboauth-dev now requires the former.
    (Fixes a not-yet-detected FTBFS.)

 -- gregor herrmann <gregoa@debian.org>  Sat, 26 Nov 2011 23:53:14 +0100

bti (031-3) unstable; urgency=low

  * Add patch to output the correct configfile name (identi.ca/OAuth/access
    tokens). Thanks to Vincent Lefevre for the bug report; closes: #646681.

 -- gregor herrmann <gregoa@debian.org>  Sat, 05 Nov 2011 17:48:05 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: gregor herrmann <gregoa@debian.org>
 Uploaders: tony mancill <tmancill@debian.org>
 Build-Depends: debhelper (>= 8), bash-completion (>= 1:1.1-3),
- libcurl4-gnutls-dev, libreadline-dev, libxml2-dev, libpcre3-dev,
- liboauth-dev, xsltproc, docbook-xsl, docbook-xml
+ libcurl4-nss-dev, libreadline-dev, libxml2-dev, libpcre3-dev, liboauth-dev,
+ xsltproc, docbook-xsl, docbook-xml,
+ dh-autoreconf
 Standards-Version: 3.9.2
 Vcs-Svn: http://svn.toastfreeware.priv.at/debian/bti/trunk/
 Vcs-Browser: http://svn.toastfreeware.priv.at/wsvn/ToastfreewareDebian/bti/trunk/

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with bash-completion,autoreconf

=== debian/watch ===
version=3

# http://www.kernel.org/pub/linux/kernel/people/gregkh/bti/bti-(.+).tar.gz
# at the moment there are no released tarballs available
# let's try the gitbug redirector
http://githubredir.debian.net/github/gregkh/bti/ (\d{3}).tar.gz

## bti 033

=== debian/changelog ===
bti (033-2) unstable; urgency=low

  * Add patch use-EIO-instead-of-EREMOTEIO.patch, taken from upstream git.
    (Closes: #714335)

 -- gregor herrmann <gregoa@debian.org>  Fri, 28 Jun 2013 12:55:53 +0200

bti (033-1) unstable; urgency=low

  * New upstream release:
    - fixes "bti should terminate with an error if the --config file can't
      be read" (Closes: #669192)
    - fixes "bti no longer works with Twitter and loses posted tweets"
      by adjusting to the Twitter API v 1.1
      (Closes: #714032)
  * Refresh manpage-debian.patch (offset).
  * Add build dependency on libjson-c-dev.
  * Add patch to handle Debian's libjson-c.
  * Add a patch to fix a spelling mistake in the manpage.
  * Update OAuth instructions on README.Debian. (Closes: #706104)
  * Update long description (direct messages are supported now).

 -- gregor herrmann <gregoa@debian.org>  Fri, 28 Jun 2013 01:55:26 +0200

bti (032-2) unstable; urgency=low

  * Update Vcs-* headers.
  * debian/watch: update after github URL schema change.
  * Build depend on libcurl4-gnutls-dev instead of libcurl4-nss-dev (cf.
    #650138) and make build dependency on liboauth-dev versioned just in
    case). (LP: #1072720)
  * Remove version from bash-completion build dependency, nothing older in
    the archive.
  * debian/copyright: switch formatting to Copyright-Format 1.0.
  * Update years of packaging copyright.
  * Set Standards-Version to 3.9.4 (no changes).
  * Bump debhelper compatibility level to 9.
  * debian/rules: make build non-silent.

 -- gregor herrmann <gregoa@debian.org>  Mon, 06 May 2013 21:27:22 +0200

=== debian/control ===
Source: bti
Maintainer: gregor herrmann <gregoa@debian.org>
Uploaders: tony mancill <tmancill@debian.org>
Section: net
Priority: extra
Build-Depends: bash-completion,
               debhelper (>= 9),
               dh-autoreconf,
               docbook-xml,
               docbook-xsl,
               libcurl4-gnutls-dev,
               libjson-c-dev,
               liboauth-dev (>= 0.9.4-3.1),
               libpcre3-dev,
               libreadline-dev,
               libxml2-dev,
               xsltproc
Standards-Version: 3.9.4
Vcs-Browser: http://git.toastfreeware.priv.at/debian/bti.git/
Vcs-Git: git://git.toastfreeware.priv.at/debian/bti.git
Homepage: http://gregkh.github.com/bti/

Package: bti
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: bash-completion
Description: command line micro-blogging tool
 bti sends a tweet message to twitter.com, identi.ca, or any other StatusNet
 instance.
 .
 bti provides an easy way to send tweet messages directly from the command line
 or a script. It reads the message on standard input and uses the account
 and password settings either from the command line options or from a config
 file to deliver the message.
 .
 Besides sending messages bti also allows one to see one's friends', a group's
 or a specific user's timeline, the public timeline, replies to messages, and
 direct messages (for Twitter).

## bti 034

=== debian/changelog ===
bti (034-6build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:36:19 +1100

bti (034-6build1) noble; urgency=medium

  * No-change rebuild against libcurl3t64-gnutls

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:42:02 +0000

bti (034-6) unstable; urgency=medium

  * Replace '--with bash{_,-}completion' in debian/rules with a build
    dependency on 'dh-sequence-bash-completion'.
  * Add patch from upstream pull request to change from pcre(3) to pcre2.
    Also, change build dependency from libpcre3-dev to libpcre2-dev.
    (Closes: #1000121)
  * Add debian/bti.maintscript to remove obsolete conffile
    /etc/bash_completion.d/bti which was installed by older versions of
    bash-completion.
  * debian/rules: enable all hardening flags.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.6.0.
  * Bump debhelper-compat to 13.

 -- gregor herrmann <gregoa@debian.org>  Mon, 22 Nov 2021 22:50:30 +0100

bti (034-5) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.5.0.
  * Set Rules-Requires-Root: no.
  * Bump debhelper-compat to 12.
  * debian/watch: use uscan version 4.
  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata.
  * Update years of packaging copyright.
  * Update Homepage in debian/control. Thanks to duck.

 -- gregor herrmann <gregoa@debian.org>  Fri, 01 May 2020 20:15:04 +0200

bti (034-4) unstable; urgency=medium

  * Add patch from upstream pull request to remove is_error() macro
    which is deprecated in json-c 0.13.1 and later removed competely.
    (Closes: #915839)
  * Fix Vcs-* fields.
  * Use HTTPS for Format URL in debian/copyright.
  * Add debian/upstream/metadata.
  * Set bindnow linker flag in debian/rules.
  * Declare compliance with Debian Policy 4.3.0.
  * Remove unneeded version constraint from build dependency.
  * Remove trailing whitespace from debian/*.
  * Add a (superficial) autopkgtest.

 -- gregor herrmann <gregoa@debian.org>  Sun, 23 Dec 2018 23:26:10 +0100

bti (034-3) unstable; urgency=medium

  * Update debian/control priority to "optional"
  * Bump Standards-Version to 4.1.4
  * Use https URLs in debian/control
  * Bump copyright years in debian/copyright
  * Use debhelper and compat level 11; drop dh-autoreconf dependency,
    which is enabled by default since compat level 10.

 -- tony mancill <tmancill@debian.org>  Sun, 01 Jul 2018 08:18:41 -0700

bti (034-2) unstable; urgency=medium

  * debian/watch: switch upstream URL back to kernel.org.
  * Also update Source field in debian/copyright.
  * Add build dependency on pkg-config.
    Thanks to David Suárez for the bug report.
    (Closes: #747771)

 -- gregor herrmann <gregoa@debian.org>  Sun, 11 May 2014 21:01:38 +0200

bti (034-1) unstable; urgency=medium

  * New upstream release. Important changes:
    - use https for all Twitter URLs
      Closes: #735367
    - drop (already broken) support for StatusNet / identi.ca (which has
      switched from StatusNet to the never-supported pump.io)
      Closes: #714330, #717133
  * debian/*: don't mention identi.ca/StatusNet anymore.
  * Add patch to remove some more references to identi.ca from the help
    output and the example config.
  * Drop two patches (taken from upstream or fixed identically),
    refresh one (offset).
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 3.9.5.

 -- gregor herrmann <gregoa@debian.org>  Wed, 15 Jan 2014 19:01:33 +0100

=== debian/control ===
Source: bti
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: gregor herrmann <gregoa@debian.org>
Uploaders: tony mancill <tmancill@debian.org>
Section: net
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-bash-completion,
               docbook-xml,
               docbook-xsl,
               libcurl4-gnutls-dev,
               libjson-c-dev,
               liboauth-dev,
               libpcre2-dev,
               libreadline-dev,
               libxml2-dev,
               pkg-config,
               xsltproc
Standards-Version: 4.6.0
Vcs-Browser: https://git.toastfreeware.priv.at/debian/bti.git
Vcs-Git: https://git.toastfreeware.priv.at/debian/bti.git
Homepage: https://gregkh.github.io/bti/
Rules-Requires-Root: no

Package: bti
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: bash-completion
Description: command line Twitter client
 bti sends a tweet message to twitter.com.
 .
 bti provides an easy way to send tweet messages directly from the command line
 or a script. It reads the message on standard input and uses the account
 and password settings either from the command line options or from a config
 file to deliver the message.
 .
 Besides sending messages bti also allows one to see one's friends', a group's
 or a specific user's timeline, the public timeline, replies to messages, and
 direct messages.

=== debian/tests/control ===
Tests: bti-cli
Depends: @
Restrictions: superficial

=== debian/watch ===
version=4

# old location:
# http://www.kernel.org/pub/linux/kernel/people/gregkh/bti/bti-(.+)\.tar\.gz

# the github redirector:
# http://githubredir.debian.net/github/gregkh/bti/ .*/(\d{3})\.tar\.gz

# github directly:
# https://github.com/gregkh/bti/tags .*/(\d{3})\.tar\.gz

# back on kernel.org:
https://www.kernel.org/pub/software/web/bti/ @PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@

# this would be nice but the signature is on the .tar and not the
# .tar.gz or .tar.xz
# opts=pgpsigurlmangle=s/\.(?:gz|bzip2|xz)$/.sign/ \
